Subject: Re: bug#69983: Use category for display-buffer-alist

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Apr 2024 21:13:53 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 10 Apr 2024 20:49:50 +0300
> 
> > More importantly, if we want to let programs and users control where
> > the warnings are displayed, I'd rather we introduced a new,
> > warning.el-specific option.  Up front, there's no reason for anyone to
> > assume that display-buffer-alist will have _any_ effect on
> > display-warning, because we don't document that display-warning uses
> > display-buffer.  So we could one day decide to implement the display
> > of the warnings in an entirely different fashion, and then no
> > customizations of display-buffer-alist will be able to affect the
> > display.  In fact, in some situations we already display the warning
> > other than via display-buffer.
> 
> These are just excuses to not make life easier for users of
> horizontally split windows.

I don't see how a warning-specific option could be an "excuse".  It
can solve the problem you attempt to solve as well as what you
propose.

And if you think that referring to my views as "excuses" somehow makes
your opinions more convincing, you are wrong.

> > In any case, if you are suggesting to change the "random" place where
> > warnings are displayed, we should first discuss that, because your
> > assertion that no one will dislike the change sounds very much like
> > famous last words to me, so to speak ;-)
> 
> Why discriminate users by their orientation?  If users prefer
> nontraditional horizontal orientation why not help them
> in situations of horizontally split windows?

I don't see how the discussion I suggested could be viewed as
"discrimination".  I feel that there's some fundamental
misunderstanding here.